# -*- coding: utf-8 -*-
#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Author: Petr Schindler <pschindl@redhat.com>

'''This module contains custom autoQA exceptions'''

class AutoQAError(Exception):
    '''Common ancestor for AutoQA related exceptions'''
    pass

class AutoQAValueError(ValueError, AutoQAError):
    '''This exception class replaces ValueError exception'''
    pass

class AutoQAConfigError(AutoQAError):
    '''All errors related to AutoQA config files'''
    pass

