#
# site_utils.py - site-specific autotest utils methods for use in autoqa
# client.bin.utils imports this after common_lib.utils and bin.base_utils.
#
# Author: Will Woods <wwoods@redhat.com>

import smtplib

# Same as common_lib.utils.send_email, but without hardcoded mailserver
def send_email(mail_from, mail_to, subject, body, mail_server='localhost'):
    """
    Sends an email via smtp

    mail_from: string with email address of sender
    mail_to: string or list with email address(es) of recipients
    subject: string with subject of email
    body: (multi-line) string with body of email
    """
    if isinstance(mail_to, str):
        mail_to = [mail_to]
    msg = "From: %s\nTo: %s\nSubject: %s\n\n%s" % (mail_from, ','.join(mail_to),
                                                   subject, body)
    try:
        mailer = smtplib.SMTP(mail_server)
        try:
            mailer.sendmail(mail_from, mail_to, msg)
        finally:
            mailer.quit()
    except Exception, e:
        # Emails are non-critical, not errors, but don't raise them
        print "Sending email failed. Reason: %s" % repr(e)
