#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Author: Vojtech Aschenbrenner <vaschenb@redhat.com>

from autoqa.test import AutoQATest
from autoqa.decorators import ExceptionCatcher

class helloworld(AutoQATest):

    @ExceptionCatcher()
    def initialize(self, config, **kwargs):
        super(self.__class__, self).initialize(config)
        self.detail.id = 'generic greeting'


    @ExceptionCatcher()
    def run_once(self, *args, **kwargs):
        super(self.__class__, self).run_once()

        self.log('Hello, World!', highlight=True)

        self.log('=== Printing passed params ===')
        for arg in args:
            self.log(arg)
        for name, arg in kwargs.iteritems():
            self.log('%s = %r' % (name, arg))
        self.log('=== End of passed params ===')

        self.detail.result = 'PASSED'
        self.detail.summary = 'World accepted the greeting'
